Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infosoftglobal.fusioncharts
Class FusionChartsCreator

    java.lang.Object
      com.infosoftglobal.fusioncharts.FusionChartsCreator

Deprecated. Please use classes from com.fusioncharts package

    public class FusionChartsCreator

extends java.lang.Object

Contains methods to add no cache string to a url,creating the charts.
This class can be used to create chart xml given the swf filename and other
parameters.
In order to use this class in your jsps,import this class and
call the appropriate method directly as follows:
FusionChartsCreator.createChart(...);

Author:
  InfoSoft Global (P) Ltd.

Constructor Summary
`FusionChartsCreator()` Deprecated.

Method Summary
`static java.lang.String` | `addCacheToDataURL(java.lang.String strDataURL)` Deprecated. Adds additional string to the url to and encodes the parameters, so as to disable caching of data.
`static int` | `boolToNum(java.lang.Boolean bool)` Deprecated. Converts a Boolean value to int value
`static java.lang.String` | `createChart(java.lang.String chartSWF, java.lang.String strURL, java.lang.String strXML, java.lang.String chartId, int chartWidth, int chartHeight, boolean debugMode, boolean registerWithJS)` Deprecated. Creates the JavaScript + HTML code required to embed a chart. Uses the javascript FusionCharts class to create the chart by supplying the required parameters to it. Note: Only one of the parameters strURL or strXML has to be not null for this method to work.
`static java.lang.String` | `createChartHTML(java.lang.String chartSWF, java.lang.String strURL, java.lang.String strXML, java.lang.String chartId, int chartWidth, int chartHeight, boolean debugMode)` Deprecated. Creates the object tag required to embed a chart.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FusionChartsCreator

    public FusionChartsCreator()

  Deprecated.

Method Detail

### addCacheToDataURL

    public static java.lang.String addCacheToDataURL(java.lang.String strDataURL)

  Deprecated.
  Adds additional string to the url to and encodes the parameters,
  so as to disable caching of data.

  Parameters:
    `strDataURL` - - dataURL to be fed to chart
  Returns:
    cachedURL - URL with the additional string added

### createChart

    public static java.lang.String createChart(java.lang.String chartSWF,
                                               java.lang.String strURL,
                                               java.lang.String strXML,
                                               java.lang.String chartId,
                                               int chartWidth,
                                               int chartHeight,
                                               boolean debugMode,
                                               boolean registerWithJS)

  Deprecated.
  Creates the JavaScript + HTML code required to embed a chart.
  Uses the javascript FusionCharts class to create the chart by supplying
  the required parameters to it.
  Note: Only one of the parameters strURL or strXML has to be not null for this
  method to work. If both the parameters are provided then strURL is used for further processing.

  Parameters:
    `chartSWF` - - SWF File Name (and Path) of the chart which you intend to plot
    `strURL` - - If you intend to use dataURL method for this chart, pass the URL as this parameter. Else, set it to "" (in case of dataXML method)
    `strXML` - - If you intend to use dataXML method for this chart, pass the XML data as this parameter. Else, set it to "" (in case of dataURL method)
    `chartId` - - Id for the chart, using which it will be recognized in the HTML page. Each chart on the page needs to have a unique Id.
    `chartWidth` - - Intended width for the chart (in pixels)
    `chartHeight` - - Intended height for the chart (in pixels)
    `debugMode` - - Whether to start the chart in debug mode
    `registerWithJS` - - Whether to ask chart to register itself with JavaScript

### createChartHTML

    public static java.lang.String createChartHTML(java.lang.String chartSWF,
                                                   java.lang.String strURL,
                                                   java.lang.String strXML,
                                                   java.lang.String chartId,
                                                   int chartWidth,
                                                   int chartHeight,
                                                   boolean debugMode)

  Deprecated.
  Creates the object tag required to embed a chart. Generates the object tag to embed the swf directly into the html page.
  Note: Only one of the parameters strURL or strXML has to be not null for this
  method to work. If both the parameters are provided then strURL is used for further processing.

  Parameters:
    `chartSWF` - - SWF File Name (and Path) of the chart which you intend to plot
    `strURL` - - If you intend to use dataURL method for this chart, pass the URL as this parameter. Else, set it to "" (in case of dataXML method)
    `strXML` - - If you intend to use dataXML method for this chart, pass the XML data as this parameter. Else, set it to "" (in case of dataURL method)
    `chartId` - - Id for the chart, using which it will be recognized in the HTML page. Each chart on the page needs to have a unique Id.
    `chartWidth` - - Intended width for the chart (in pixels)
    `chartHeight` - - Intended height for the chart (in pixels)
    `debugMode` - - Whether to start the chart in debug mode

### boolToNum

    public static int boolToNum(java.lang.Boolean bool)

  Deprecated.
  Converts a Boolean value to int value

  Parameters:
    `bool` - Boolean value which needs to be converted to int value
  Returns:
    int value correspoding to the boolean : 1 for true and 0 for false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD